---
title: WebGLRenderingContext.getActiveAttrib()
slug: Web/API/WebGLRenderingContext/getActiveAttrib
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGLRenderingContext.getActiveAttrib()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> returns a {{domxref("WebGLActiveInfo")}} object containing size, type, and name of a vertex attribute. It is generally used when querying unknown attributes either for debugging or generic library creation.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">WebGLActiveInfo <var>gl</var>.getActiveAttrib(<var>program</var>,<var>index</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>program</dt>
 <dd>A {{domxref("WebGLProgram")}} containing the vertex attribute.</dd>
 <dt>index</dt>
 <dd>A {{domxref("GLuint")}} specifying the index of the vertex attribute to get. This value is an index 0 to N - 1 as returned by {{domxref("WebGLRenderingContext.getProgramParameter", "gl.getProgramParameter(program, gl.ACTIVE_ATTRIBUTES)")}}.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("WebGLActiveInfo")}} object.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">const numAttribs = gl.getProgramParameter(program, gl.ACTIVE_ATTRIBUTES);
for (let i = 0; i &lt; numAttribs; ++i) {
  const info = gl.getActiveAttrib(program, i);
  console.log('name:', info.name, 'type:', info.type, 'size:', info.size);
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.10", "getActiveAttrib")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glGetActiveAttrib.xml", "glGetActiveAttrib")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.getActiveAttrib")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLActiveInfo")}}</li>
</ul>
